PUTWC(3) | Library Functions Manual | PUTWC(3)

# NAME

`fputwc`, `putwc`, `putwchar`, — output a wide character to a stream

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <stdio.h>`
`#include <wchar.h>`

wint_t
`fputwc`(wchar_t wc, FILE *stream);

wint_t
`putwc`(wchar_t wc, FILE *stream);

wint_t
`putwchar`(wchar_t wc);

# DESCRIPTION

The `fputwc`() function writes the wide character wc to the output stream pointed to by stream.

`putwc`() acts essentially identically to `fputwc`(), but is a macro that expands in-line. It may evaluate stream more than once, so arguments given to `putwc`() should not be expressions with potential side effects.

`putwchar`() is identical to `putwc`() with an output stream of stdout.

# RETURN VALUES

The functions `fputwc`(), `putwc`(), and `putwchar`() return the wide character written. If an error occurs, the value `WEOF` is returned.

# SEE ALSO

ferror(3), fopen(3), getwc(3), stdio(3)

# STANDARDS

The functions `fputwc`(), `putwc`(), and `putwchar`(), conform to ISO/IEC 9899:1999 (“ISO C99”).

October 20, 2001 | NetBSD 11.0